gnutls_x509_rdn_get2(3)

NAME
gnutls_x509_rdn_get2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get2(const gnutls_datum_t * idn, gnutls_datum_t * str, unsigned flags);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

gnutls_datum_t * str
    a datum that will hold the name

unsigned flags
    zero of GNUTLS_X509_DN_FLAG_COMPAT

DESCRIPTION
This function will return the name of the given RDN sequence. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. When the flag GNUTLS_X509_DN_FLAG_COMPAT is specified, the output format will match the format output by previous to 3.5.6 versions of GnuTLS which was not not fully RFC4514-compliant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and * buf_size is updated if the provided buffer is not long enough, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/